import numpy as np
import matplotlib.pyplot as plt


def plot_f(xmin, xmax, xsteps):
    x = np.arange(xmin, xmax + xsteps, xsteps)
    f = np.array(x**5-5*x**4-30*x**3+110*x**2+29*x-105)
    plt.plot(x, f)
    plt.xlim(-11, 11)
    plt.xticks(np.arange(min(x), max(x) + 1, 1.0))
    plt.ylim(-1300, 1300)
    plt.grid(markevery=1)
    plt.show()

plot_f(-10, 10, 0.1)